The NetBSD Project

CVS log for pkgsrc/archivers/ruby-xz/Makefile

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / archivers / ruby-xz

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.20 / (download) - annotate - [select for diffs], Sat Apr 25 19:56:49 2020 UTC (13 months, 2 weeks ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2021Q1-base, pkgsrc-2021Q1, pkgsrc-2020Q4-base, pkgsrc-2020Q4, pkgsrc-2020Q3-base, pkgsrc-2020Q3, pkgsrc-2020Q2-base, pkgsrc-2020Q2, HEAD
Changes since 1.19: +1 -7 lines
Diff to previous 1.19 (colored)

archivers/ruby-xz: remove redundant SUBST block

Revision 1.19 / (download) - annotate - [select for diffs], Mon Mar 23 15:23:10 2020 UTC (14 months, 3 weeks ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2020Q1-base, pkgsrc-2020Q1
Changes since 1.18: +1 -3 lines
Diff to previous 1.18 (colored)

archivers/ruby-xz: allow build with ruby27

Allow build with Ruby 2.7.

Revision 1.18 / (download) - annotate - [select for diffs], Thu May 23 19:22:55 2019 UTC (2 years ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2019Q4-base, pkgsrc-2019Q4, pkgsrc-2019Q3-base, pkgsrc-2019Q3, pkgsrc-2019Q2-base, pkgsrc-2019Q2
Changes since 1.17: +2 -2 lines
Diff to previous 1.17 (colored)

all: replace SUBST_SED with the simpler SUBST_VARS

pkglint -Wall -r --only "substitution command" -F

With manual review and indentation fixes since pkglint doesn't get that
part correct in every case.

Revision 1.17 / (download) - annotate - [select for diffs], Mon Apr 15 06:11:32 2019 UTC (2 years, 2 months ago) by wiz
Branch: MAIN
Changes since 1.16: +2 -2 lines
Diff to previous 1.16 (colored)

*: remove references to ruby 2.3

Revision 1.16 / (download) - annotate - [select for diffs], Sun Feb 3 13:45:06 2019 UTC (2 years, 4 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1
Changes since 1.15: +2 -2 lines
Diff to previous 1.15 (colored)

Allow Ruby 2.6 to build.

Revision 1.15 / (download) - annotate - [select for diffs], Thu Sep 27 23:58:21 2018 UTC (2 years, 8 months ago) by tnn
Branch: MAIN
CVS Tags: pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3
Changes since 1.14: +3 -1 lines
Diff to previous 1.14 (colored)

ruby-xz: needs ruby 2.3.0 or higher

Revision 1.14 / (download) - annotate - [select for diffs], Sun Sep 23 13:44:11 2018 UTC (2 years, 8 months ago) by taca
Branch: MAIN
Changes since 1.13: +3 -5 lines
Diff to previous 1.13 (colored)

archivers/ruby-xz: update to 1.0.0

== 1.0.0 (2018-05-20)

* *BreakingChange* The XZ module's methods now take any parameters
  beyond the IO object as real Ruby keyword arguments rather than
  a long argument list.
* *BreakingChange* XZ.decompress_stream now honours Ruby's
  external and internal encoding concept instead of just
  returning BINARY-tagged strings.
* *BreakingChange* Remove deprecated API on stream reader/writer
  class and instead sync the API with Ruby's zlib library
  (Ticket #12 by me).
* *BreakingChange* StreamWriter.new and StreamReader.new do not accept
  a block anymore. This is part of syncing with Ruby's zlib API.
* *BreakingChange* StreamReader.open and StreamWriter.open always
  return the new instance, even if a block is given to the method
  (previous behaviour was to return the return value of the block).
  This is part of the syncing with Ruby's zlib API.
* *BreakingChange* StreamReader.new and StreamWriter.new as well as
  the ::open variants take additional arguments as real Ruby keyword
  arguments now instead of a long parameter list plus options hash.
  This is different from Ruby's own zlib API as that one takes both
  a long parameter list and a hash of additional options. ruby-xz
  is meant to follow zlib's semantics mostly, but not as a drop-in
  replacement, so this divergence from zlib's API is okay (also
  given that it isn't possible to replicate all possible options
  1:1 anyway, since liblzma simply accepts different options as
  libz). If you've never used these methods' optional arguments,
  you should be fine.
* *BreakingChange* Stream#close now returns nil instead of the
  number of bytes written. This syncs Stream#close with Ruby's
  own IO#close, which also returns nil.
* *BreakingChange* Remove Stream#pos=, Stream#seek, Stream#stat. These
  methods irritated the minitar gem, which doesn't expect them to
  raise NotImplementedError, but directly to be missing if the object
  does not support seeking.
* *BreakingChange* StreamReader and StreamWriter now honour Ruby's
  encoding system instead of returning only BINARY-tagged strings.
* *Dependency* Remove dependency on ffi. ruby-xz now uses fiddle from
  the stdlib instead.
* *Dependency* Remove dependency on io-like. ruby-xz now implements
  all the IO mechanics itself. (Ticket #10 by me)
* *Dependency* Bump required Ruby version to 2.3.0.
* *Fix* libzlma.dylib not being found on OS X (Ticket #15 by
  s0nspark).

Revision 1.13 / (download) - annotate - [select for diffs], Sun Jan 3 05:31:55 2016 UTC (5 years, 5 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2018Q2-base, pkgsrc-2018Q2, pkgsrc-2018Q1-base, pkgsrc-2018Q1, pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-2017Q1-base, pkgsrc-2017Q1, pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-2016Q3-base, pkgsrc-2016Q3, pkgsrc-2016Q2-base, pkgsrc-2016Q2, pkgsrc-2016Q1-base, pkgsrc-2016Q1
Changes since 1.12: +2 -2 lines
Diff to previous 1.12 (colored)

Update ruby-xz to 0.2.3.

== 0.2.3 (2015-12-29)

* *Fix* documentation of XZ module (a :nodoc: was causing havoc
  in the XZ module so it appeared to have no methods).
* No other changes this release.

== 0.2.2 (2015-12-27)

* *Add* XZ.disable_deprecation_notices
* *Deprecate* use of XZ::StreamReader.open with an IO argument
* *Deprecate* use of XZ::StreamReader.new with a filename argument
* *Deprecate* use of XZ::StreamWriter.open with an IO argument
* *Deprecate* use of XZ::StreamWriter.new with a filename argument
* *Deprecate* nonautomatic IO close in XZ::StreamReader#close
* *Deprecate* nonautomatic IO close in XZ::StreamWriter#close
* *Fix* incompatibility with Resolv.getaddress() in Ruby 2.2 (Ticket #13
  by Ken Simon)
* Goal of these deprecations is to sync the API with Ruby own
  Zlib::GzipWriter and Zlib::GzipReader mostly.
* Add required versions to gemspec.
* Comment format cleanup, results in better docs.
* Internal code cleanup
* Add more tests.

Revision 1.12 / (download) - annotate - [select for diffs], Wed Nov 25 12:47:32 2015 UTC (5 years, 6 months ago) by jperkin
Branch: MAIN
CVS Tags: pkgsrc-2015Q4-base, pkgsrc-2015Q4
Changes since 1.11: +2 -4 lines
Diff to previous 1.11 (colored)

Remove mk/find-prefix.mk usage from the archivers category.

The find-prefix infrastructure was required in a pkgviews world where
packages installed from pkgsrc could have different installation
prefixes, and this was a way for a dependency prefix to be determined.

Now that pkgviews has been removed there is no longer any need for the
overhead of this infrastructure.  Instead we use BUILDLINK_PREFIX.pkg
for dependencies pulled in via buildlink, or LOCALBASE/PREFIX where the
dependency is coming from pkgsrc.

Provides a reasonable performance win due to the reduction of `pkg_info
-qp` calls, some of which were redundant anyway as they were duplicating
the same information provided by BUILDLINK_PREFIX.pkg.

Revision 1.11 / (download) - annotate - [select for diffs], Sun May 31 15:21:44 2015 UTC (6 years ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2015Q3-base, pkgsrc-2015Q3, pkgsrc-2015Q2-base, pkgsrc-2015Q2
Changes since 1.10: +1 -3 lines
Diff to previous 1.10 (colored)

This package is built with ruby22.

Revision 1.10 / (download) - annotate - [select for diffs], Sun Mar 1 12:58:16 2015 UTC (6 years, 3 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2015Q1-base, pkgsrc-2015Q1
Changes since 1.9: +4 -15 lines
Diff to previous 1.9 (colored)

Update ruby-xz to 0.2.1.

0.2.1 (2014-02-08)

* Build the gem properly on Ruby 2.0+ (PR #8 by Nana Sakisaka (saki7))
* Release the GIL when interfacing with liblzma (PR #7 by Lars Christensen
* (larsch))

0.2.0 (2013-06-23)

* Fix #6 (errors on JRuby) by Ben Nagy
* Remove 1.8 compatibility

Revision 1.9 / (download) - annotate - [select for diffs], Wed Nov 13 18:10:20 2013 UTC (7 years, 7 months ago) by minskim
Branch: MAIN
CVS Tags: pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2, pkgsrc-2014Q1-base, pkgsrc-2014Q1, pkgsrc-2013Q4-base, pkgsrc-2013Q4
Changes since 1.8: +2 -1 lines
Diff to previous 1.8 (colored)

Let ruby-xz use a full filename in loading a library.

Revision 1.8 / (download) - annotate - [select for diffs], Tue Sep 11 19:47:00 2012 UTC (8 years, 9 months ago) by asau
Branch: MAIN
CVS Tags: pkgsrc-2013Q3-base, pkgsrc-2013Q3, pkgsrc-2013Q2-base, pkgsrc-2013Q2, pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4, pkgsrc-2012Q3-base, pkgsrc-2012Q3
Changes since 1.7: +1 -3 lines
Diff to previous 1.7 (colored)

"user-destdir" is default these days

Revision 1.7 / (download) - annotate - [select for diffs], Tue Mar 20 07:26:05 2012 UTC (9 years, 2 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2012Q2-base, pkgsrc-2012Q2, pkgsrc-2012Q1-base, pkgsrc-2012Q1
Changes since 1.6: +4 -4 lines
Diff to previous 1.6 (colored)

Update ruby-xz package to 0.1.1.

== 0.1.0

* <b>Add XZ::StreamReader and XZ::StreamWriter for io-like behaviour.</b>
* New dependency on the +io-like+ gem.
* <b>Add Ruby 1.8 compatibility.</b> Thanks to Christoph Plank.
* We now have proper unit tests.

Revision 1.6 / (download) - annotate - [select for diffs], Sat Nov 12 15:04:58 2011 UTC (9 years, 7 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2011Q4-base, pkgsrc-2011Q4
Changes since 1.5: +2 -2 lines
Diff to previous 1.5 (colored)

- s/RUBY_VERSION_REQD/RUBY_VERSION_SUPPORTED/
- ALlow build with ruby193.

Revision 1.5 / (download) - annotate - [select for diffs], Fri Nov 11 22:08:52 2011 UTC (9 years, 7 months ago) by joerg
Branch: MAIN
Changes since 1.4: +2 -4 lines
Diff to previous 1.4 (colored)

Move LICENSE up where it belongs. Remove duplicate PKG_DESTDIR_SUPPORT.

Revision 1.4 / (download) - annotate - [select for diffs], Fri Nov 11 19:15:49 2011 UTC (9 years, 7 months ago) by joerg
Branch: MAIN
Changes since 1.3: +3 -1 lines
Diff to previous 1.3 (colored)

Supports user-destdir

Revision 1.3 / (download) - annotate - [select for diffs], Mon Nov 7 20:05:34 2011 UTC (9 years, 7 months ago) by minskim
Branch: MAIN
Changes since 1.2: +3 -1 lines
Diff to previous 1.2 (colored)

Set PKG_DEDTDIR_SUPPORT for ruby-xz.

Revision 1.2 / (download) - annotate - [select for diffs], Sat Oct 8 03:07:17 2011 UTC (9 years, 8 months ago) by minskim
Branch: MAIN
Changes since 1.1: +3 -2 lines
Diff to previous 1.1 (colored)

ruby-xz requires ruby19-base.

Revision 1.1.1.1 / (download) - annotate - [select for diffs] (vendor branch), Mon Oct 3 19:51:05 2011 UTC (9 years, 8 months ago) by minskim
Branch: TNF
CVS Tags: pkgsrc-base
Changes since 1.1: +0 -0 lines
Diff to previous 1.1 (colored)

Import ruby19-xz-0.0.1 as archivers/ruby-xz.

ruby-xz is a basic binding for liblzma that allows you to create and
extract XZ-compressed archives.  It can cope with big files as well as
small ones, but doesn't offer much of the possibilities liblzma itself
has.

Revision 1.1 / (download) - annotate - [select for diffs], Mon Oct 3 19:51:05 2011 UTC (9 years, 8 months ago) by minskim
Branch: MAIN

Initial revision

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>